---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.46.248.42
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: etcd-cnvqe-071.lab.eng.tlv2.redhat.com
      namespace: openshift-etcd
      uid: 4b7031c4-035c-4919-816d-abfb76d6cf33
  - addresses:
    - 10.46.248.134
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: etcd-cnvqe-072.lab.eng.tlv2.redhat.com
      namespace: openshift-etcd
      uid: 60b251ea-9a31-43f8-b6bd-5f9874739e94
  - addresses:
    - 10.46.248.41
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: etcd-cnvqe-070.lab.eng.tlv2.redhat.com
      namespace: openshift-etcd
      uid: d3195d11-ff9a-4d8b-88ce-fcad775548e3
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:37:39Z"
    creationTimestamp: "2025-10-27T11:17:58Z"
    generateName: etcd-
    generation: 33
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      k8s-app: etcd
      kubernetes.io/service-name: etcd
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:k8s-app: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"4f5ec1b4-a043-427e-955e-c738fd9c3200"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:37:39Z"
    name: etcd-5qnsr
    namespace: openshift-etcd
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: etcd
      uid: 4f5ec1b4-a043-427e-955e-c738fd9c3200
    resourceVersion: "48987"
    uid: 8e0e319d-4731-468c-8442-0168734c01ab
  ports:
  - name: readyz-sidecar
    port: 9980
    protocol: TCP
  - name: etcd
    port: 2379
    protocol: TCP
  - name: etcd-peer
    port: 2380
    protocol: TCP
  - name: grpc-proxy
    port: 9978
    protocol: TCP
  - name: etcd-metrics
    port: 9979
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2219767"
